/*
 * @Author: zhanghaifeng
 * @Date: 2025-01-06 17:11:11
 * @LastEditors: zhanghaifeng
 * @LastEditTime: 2025-01-08 11:04:59
 * @Description:
 * @FilePath: /hospital-project/src/api/indexData.ts
 */
import { http } from "@/utils/http";

type PageListType = {
  code: number;
  msg: string;
  data: recordsList;
};
type recordsList = {
  totalRow: number;
  records: Array<any>;
};
type PageListItemDelType = {
  code: number;
  msg: string;
  data: boolean;
};

// 分页查询
export const getPageList = data => {
  return http.request<PageListType>("post", "/source/pageSourceData", { data });
};

// 分页-删除
export const delListItemApi = params => {
  return http.request<PageListItemDelType>("get", "/source/deleteSourceData", {
    params
  });
};

// 分页-新增
export const addListApi = data => {
  return http.request<PageListItemDelType>("post", "/source/addSourceData", {
    data
  });
};

// 分页-编辑
export const editListApi = data => {
  return http.request<PageListItemDelType>("post", "/source/updateSourceData", {
    data
  });
};
